Skip to main content
POST
/
workspaces
/
{workspace_id}
/
secrets
/
{secret_id}
Error
A valid request URL is required to generate request examples
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
secret_id
string
required

Body

application/json

Update a secret.

Secret types

  • custom: Arbitrary user-defined types
  • token: A token, e.g. API Key, JWT Token (TBC)
  • oauth2: OAuth2 Client Credentials (TBC)
  • mtls: TLS client certificate and key
  • ca_cert: Certificate authority bundle
type
enum<string> | null

The type of a secret.

Available options:
custom,
ssh_key,
mtls,
ca_cert,
github_app
name
string | null
Required string length: 1 - 100
description
string | null
Maximum string length: 1000
keys
SecretKeyValue · object[] | null
Required array length: 1 - 100 elements
tags
Tags · object | null
environment
string | null
Required string length: 1 - 100

Response

Successful Response